package com.kamco.cd.kamcoback.postgres.repository.auth;

import com.kamco.cd.kamcoback.auth.dto.AuthDto;
import com.kamco.cd.kamcoback.auth.dto.AuthDto.Basic;
import com.kamco.cd.kamcoback.postgres.entity.UserEntity;
import java.util.Optional;
import org.springframework.data.domain.Page;

public interface AuthRepositoryCustom {

  Optional<UserEntity> findByUserId(String userId);

  Optional<UserEntity> findUserById(Long id);

  Page<Basic> getUserList(AuthDto.SearchReq searchReq);
}
